Subject: bug#76107: Consider image specs when scanning for a column

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Apr 2025 11:34:20 +0300

> Cc: [email-masked]
> Date: Thu, 20 Mar 2025 22:46:11 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Thuna <[email-masked]>
> > Cc: [email-masked]
> > Date: Thu, 20 Mar 2025 18:14:35 +0100
> > 
> > >> So far, I have only had two related issues: The width calculation is
> > >> incorrect when dealing with characters which are not full-sized (they
> > >> are being calculated as though they were full-sized)
> > >
> > > Sorry, I don't understand: is this due to my patch?  My patch isn't
> > > supposed to touch the case of characters, only that of inline images.
> > > Was this problem present before my patch?  If not, can you show an
> > > example of it?
> > 
> > No, sorry, I didn't mean to imply that.  This was happening before as
> > well, but it's similar enough, so I figured I would bring it up in case
> > a small tweak is enough to fix it.
> 
> Ah, okay.  But in that case, this is the intended behavior:
> current-column disregards the pixel size of the characters, and counts
> each character as one column regardless of its size on display.
> 
> > > Hmm... you say "there is an image from line start to point", but in
> > > the example you show the image is not at the beginning of a line.  Did
> > > I misunderstand what you are describing?
> > 
> > I was referring to an image being present somewhere in the line before
> > the point, but the patch seems to have fixed it, so that's fine.
> 
> OK, then the one-line addition to the patch that I sent should solve
> this.

Did you have an opportunity to test the fixed code?  If there are no
problems with it you could report, I'd like to install the change.

Thanks.